Bug 1247976 - MongoDB string functions - different handling of NULL values
MongoDB string functions - different handling of NULL values
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.3.0
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 07:21 EDT by Jan Stastny
Modified: 2016-08-24 07:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:42:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3598 Major Closed MongoDB string functions - different handling of NULL values 2016-08-09 01:09 EDT

  None (edit)
Description Jan Stastny 2015-07-29 07:21:48 EDT
Teiid doesn't handle NULL values right in UCASE,LCASE and SUBSTRING functions when working with mongodb. It preserves mongo's results, which are different from what is expected from SQL function.

Further description is in linked JIRA TEIID-3598.
Comment 1 JBoss JIRA Server 2015-07-31 14:05:09 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3598 to Resolved
Comment 2 Van Halbert 2015-09-03 14:17:25 EDT
This has been fixed upstream on the Teiid 8.12 branch.
Comment 3 JBoss JIRA Server 2016-01-26 13:00:55 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3598 to Closed

Note You need to log in before you can comment on or make changes to this bug.